# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/CapabilityAgents/Notifications/test
# Build directory: /Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(NotificationRendererTest.testCreateWithNullMediaPlayer "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationRendererTest" "--gtest_filter=NotificationRendererTest.testCreateWithNullMediaPlayer")
add_test(NotificationRendererTest.testPlayPreferredStream "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationRendererTest" "--gtest_filter=NotificationRendererTest.testPlayPreferredStream")
add_test(NotificationRendererTest.testPlayDefaultStream "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationRendererTest" "--gtest_filter=NotificationRendererTest.testPlayDefaultStream")
add_test(NotificationRendererTest.testSecondPlayRejected "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationRendererTest" "--gtest_filter=NotificationRendererTest.testSecondPlayRejected")
add_test(NotificationRendererTest.testSecondPlayWhilePlayingDefaultStream "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationRendererTest" "--gtest_filter=NotificationRendererTest.testSecondPlayWhilePlayingDefaultStream")
add_test(NotificationRendererTest.testCancelNotificationRendering "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationRendererTest" "--gtest_filter=NotificationRendererTest.testCancelNotificationRendering")
add_test(NotificationRendererTest.testRenderNotificationWhileNotifying "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationRendererTest" "--gtest_filter=NotificationRendererTest.testRenderNotificationWhileNotifying")
add_test(NotificationsCapabilityAgentTest.testCreate "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testCreate")
add_test(NotificationsCapabilityAgentTest.testNonEmptyStartupQueue "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testNonEmptyStartupQueue")
add_test(NotificationsCapabilityAgentTest.testSendSetIndicator "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testSendSetIndicator")
add_test(NotificationsCapabilityAgentTest.testSendSetIndicatorWithAudio "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testSendSetIndicatorWithAudio")
add_test(NotificationsCapabilityAgentTest.testSendSetIndicatorWithVisualIndicator "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testSendSetIndicatorWithVisualIndicator")
add_test(NotificationsCapabilityAgentTest.testSameAssetId "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testSameAssetId")
add_test(NotificationsCapabilityAgentTest.testPersistVisualIndicatorPreserved "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testPersistVisualIndicatorPreserved")
add_test(NotificationsCapabilityAgentTest.testClearIndicatorWithEmptyQueue "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testClearIndicatorWithEmptyQueue")
add_test(NotificationsCapabilityAgentTest.testClearIndicatorWithEmptyQueueAndIndicatorOn "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testClearIndicatorWithEmptyQueueAndIndicatorOn")
add_test(NotificationsCapabilityAgentTest.testClearIndicatorAfterMultipleSetIndicators "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testClearIndicatorAfterMultipleSetIndicators")
add_test(NotificationsCapabilityAgentTest.testMultipleSetIndicators "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testMultipleSetIndicators")
add_test(NotificationsCapabilityAgentTest.testClearData "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest" "--gtest_filter=NotificationsCapabilityAgentTest.testClearData")
add_test(NotificationsStorageTest.testConstructionAndDestruction "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testConstructionAndDestruction")
add_test(NotificationsStorageTest.testDatabaseCreation "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testDatabaseCreation")
add_test(NotificationsStorageTest.testOpenAndCloseDatabase "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testOpenAndCloseDatabase")
add_test(NotificationsStorageTest.testDatabaseEnqueueAndDequeue "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testDatabaseEnqueueAndDequeue")
add_test(NotificationsStorageTest.testSettingAndGettingIndicatorState "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testSettingAndGettingIndicatorState")
add_test(NotificationsStorageTest.testClearingNotificationIndicators "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testClearingNotificationIndicators")
add_test(NotificationsStorageTest.testCheckingEmptyQueue "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testCheckingEmptyQueue")
add_test(NotificationsStorageTest.testDatabasePersistence "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testDatabasePersistence")
add_test(NotificationsStorageTest.testQueueOrder "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testQueueOrder")
add_test(NotificationsStorageTest.testPeek "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testPeek")
add_test(NotificationsStorageTest.testSize "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Notifications/test/NotificationsStorageTest" "--gtest_filter=NotificationsStorageTest.testSize")
